Get Table
curl --request GET \
--url https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"spec": {
"relational": {
"connector": "<string>",
"sourceCatalog": "<string>",
"sourceSchema": "<string>",
"sourceTable": "<string>",
"snapshot": {
"schema": {
"ipcMessage": "<string>"
}
}
},
"listing": {
"connector": "<string>",
"tablePaths": [
"<string>"
],
"snapshot": {
"fileSchema": {
"ipcMessage": "<string>"
},
"options": {
"fileType": "<string>",
"formatOptions": {},
"fileExtension": "",
"tablePartitionSchema": {
"ipcMessage": "<string>"
},
"collectStat": true,
"targetPartitions": "<string>"
}
}
}
},
"createTime": "<string>",
"updateTime": "<string>",
"revision": "0",
"revisionHash": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}table
Get Table
GET
/
v1
/
workspaces
/
{workspace_id}
/
catalogs
/
{catalog_id}
/
schemas
/
{schema_id}
/
tables
/
{table_id}
Get Table
Authorizations
An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.
Path Parameters
Response
Successful Response
A SQL-visible table owned by its parent schema.
Resource name in the form
workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}/tables/{table}.
The terminal resource ID is the SQL-visible table name.
Pattern:
^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}/tables/[a-z][a-z0-9_]{0,62}$Definition used to construct this table.
Show child attributes
Show child attributes
Time at which the table was created.
Time at which the table was most recently updated.
Monotonically increasing revision of this table definition.
Lowercase SHA-256 hash of the canonical stored table definition.